import { createDraftPost as publicCreateDraftPost, bulkCreateDraftPosts as publicBulkCreateDraftPosts, bulkUpdateDraftPosts as publicBulkUpdateDraftPosts, listDeletedDraftPosts as publicListDeletedDraftPosts, getDraftPost as publicGetDraftPost, updateDraftPost as publicUpdateDraftPost, deleteDraftPost as publicDeleteDraftPost, removeFromTrashBin as publicRemoveFromTrashBin, bulkDeleteDraftPosts as publicBulkDeleteDraftPosts, listDraftPosts as publicListDraftPosts, getDeletedDraftPost as publicGetDeletedDraftPost, restoreFromTrashBin as publicRestoreFromTrashBin, queryDraftPosts as publicQueryDraftPosts, publishDraftPost as publicPublishDraftPost } from './blog-v3-draft-draft-posts.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onDraftCreated as publicOnDraftCreated } from './blog-v3-draft-draft-posts.public.js';
import { onDraftDeleted as publicOnDraftDeleted } from './blog-v3-draft-draft-posts.public.js';
import { onDraftUpdated as publicOnDraftUpdated } from './blog-v3-draft-draft-posts.public.js';
export declare const createDraftPost: MaybeContext<BuildRESTFunction<typeof publicCreateDraftPost> & typeof publicCreateDraftPost>;
export declare const bulkCreateDraftPosts: MaybeContext<BuildRESTFunction<typeof publicBulkCreateDraftPosts> & typeof publicBulkCreateDraftPosts>;
export declare const bulkUpdateDraftPosts: MaybeContext<BuildRESTFunction<typeof publicBulkUpdateDraftPosts> & typeof publicBulkUpdateDraftPosts>;
export declare const listDeletedDraftPosts: MaybeContext<BuildRESTFunction<typeof publicListDeletedDraftPosts> & typeof publicListDeletedDraftPosts>;
export declare const getDraftPost: MaybeContext<BuildRESTFunction<typeof publicGetDraftPost> & typeof publicGetDraftPost>;
export declare const updateDraftPost: MaybeContext<BuildRESTFunction<typeof publicUpdateDraftPost> & typeof publicUpdateDraftPost>;
export declare const deleteDraftPost: MaybeContext<BuildRESTFunction<typeof publicDeleteDraftPost> & typeof publicDeleteDraftPost>;
export declare const removeFromTrashBin: MaybeContext<BuildRESTFunction<typeof publicRemoveFromTrashBin> & typeof publicRemoveFromTrashBin>;
export declare const bulkDeleteDraftPosts: MaybeContext<BuildRESTFunction<typeof publicBulkDeleteDraftPosts> & typeof publicBulkDeleteDraftPosts>;
export declare const listDraftPosts: MaybeContext<BuildRESTFunction<typeof publicListDraftPosts> & typeof publicListDraftPosts>;
export declare const getDeletedDraftPost: MaybeContext<BuildRESTFunction<typeof publicGetDeletedDraftPost> & typeof publicGetDeletedDraftPost>;
export declare const restoreFromTrashBin: MaybeContext<BuildRESTFunction<typeof publicRestoreFromTrashBin> & typeof publicRestoreFromTrashBin>;
export declare const queryDraftPosts: MaybeContext<BuildRESTFunction<typeof publicQueryDraftPosts> & typeof publicQueryDraftPosts>;
export declare const publishDraftPost: MaybeContext<BuildRESTFunction<typeof publicPublishDraftPost> & typeof publicPublishDraftPost>;
/**
 * Triggered when a draft post is created.
 */
export declare const onDraftCreated: ReturnType<typeof createEventModule<typeof publicOnDraftCreated>>;
/**
 * Triggered when a draft post is deleted.
 */
export declare const onDraftDeleted: ReturnType<typeof createEventModule<typeof publicOnDraftDeleted>>;
/**
 * Triggered when a draft post is updated.
 */
export declare const onDraftUpdated: ReturnType<typeof createEventModule<typeof publicOnDraftUpdated>>;
export { Origin, NodeType, WidthType, PluginContainerDataAlignment, ButtonDataType, Target, TextAlignment, LineStyle, Width, Alignment, ViewMode, LayoutType, Orientation, Crop, ThumbnailsAlignment, Source, MapType, ViewRole, VoteRole, PollLayoutType, PollLayoutDirection, BackgroundType, DecorationType, FontType, AppType, InitialExpandedItems, Direction, VerticalAlignment, NullValue, Status, ModerationStatusStatus, Type, Field, Action, GetDraftPostsSort, SortOrder, WebhookIdentityType, TotalDraftPostsGroupingField, } from './blog-v3-draft-draft-posts.universal.js';
export { DraftPost, CoverMedia, CoverMediaMediaOneOf, FocalPoint, RichContent, Node, NodeDataOneOf, NodeStyle, ButtonData, Border, Colors, PluginContainerData, PluginContainerDataWidth, PluginContainerDataWidthDataOneOf, Spoiler, Height, Styles, Link, LinkDataOneOf, Rel, CodeBlockData, TextStyle, DividerData, FileData, FileSource, FileSourceDataOneOf, PDFSettings, GalleryData, V1Media, Image, Video, Item, ItemDataOneOf, GalleryOptions, Layout, ItemStyle, Thumbnails, GIFData, GIF, HeadingData, HTMLData, HTMLDataDataOneOf, ImageData, LinkPreviewData, MapData, MapSettings, ParagraphData, PollData, Permissions, Option, PollSettings, PollLayout, OptionLayout, Gradient, Background, BackgroundBackgroundOneOf, PollDesign, OptionDesign, Poll, PollDataLayout, Design, TextData, Decoration, DecorationDataOneOf, AnchorData, ColorData, LinkData, MentionData, FontSizeData, SpoilerData, AppEmbedData, AppEmbedDataAppDataOneOf, BookingData, EventData, VideoData, PlaybackOptions, EmbedData, Oembed, CollapsibleListData, TableData, Dimensions, TableCellData, CellStyle, BorderColors, ListValue, AudioData, OrderedListData, BulletedListData, BlockquoteData, CaptionData, LayoutCellData, Metadata, DocumentStyle, TextNodeStyle, ModerationDetails, SeoSchema, Keyword, Tag, Settings, Media, MediaMediaOneOf, WixMedia, VideoResolution, EmbedMedia, EmbedThumbnail, EmbedVideo, DraftPostTranslation, InitialDraftPostsCopied, DraftCategoriesUpdated, DraftTagsUpdated, CreateDraftPostRequest, CreateDraftPostResponse, BulkCreateDraftPostsRequest, BulkCreateDraftPostsResponse, BulkDraftPostResult, ItemMetadata, ApplicationError, BulkActionMetadata, BulkUpdateDraftPostsRequest, MaskedDraftPosts, BulkUpdateDraftPostsResponse, DraftPostOwnerChanged, ListDeletedDraftPostsRequest, BlogPaging, ListDeletedDraftPostsResponse, MetaData, GetDraftPostRequest, GetDraftPostResponse, UpdateDraftPostContentRequest, UpdateDraftPostContentRequestDraftContentOneOf, UpdateDraftPostContentResponse, UpdateDraftPostRequest, UpdateDraftPostResponse, DeleteDraftPostRequest, DeleteDraftPostResponse, RemoveFromTrashBinRequest, RemoveFromTrashBinResponse, BulkDeleteDraftPostsRequest, BulkDeleteDraftPostsResponse, ListDraftPostsRequest, ListDraftPostsResponse, GetDeletedDraftPostRequest, GetDeletedDraftPostResponse, RestoreFromTrashBinRequest, RestoreFromTrashBinResponse, QueryDraftPostsRequest, Sorting, PlatformQuery, PlatformQueryPagingMethodOneOf, Paging, CursorPaging, QueryDraftPostsResponse, PagingMetadataV2, Cursors, PublishDraftPostRequest, PublishDraftPostResponse, UnpublishPostRequest, UnpublishPostResponse, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, GetDraftPostTotalsRequest, GetDraftPostTotalsResponse, TotalDraftPosts, TranslateCategoryRequest, TranslateCategoryResponse, Category, CategoryTranslation, TranslateDraftRequest, TranslateDraftResponse, IsDraftPostAutoTranslatableRequest, IsDraftPostAutoTranslatableResponse, UpdateDraftPostLanguageRequest, UpdateDraftPostLanguageResponse, BulkUpdateDraftPostLanguageRequest, BulkUpdateDraftPostLanguageResponse, GetPostAmountsByLanguageRequest, GetPostAmountsByLanguageResponse, PostAmountByLanguage, BulkRevertToUnpublishedRequest, BulkRevertToUnpublishedResponse, BulkRejectDraftPostRequest, BulkRejectDraftPostResponse, RevertToUnpublishedRequest, RevertToUnpublishedResponse, RejectDraftPostRequest, RejectDraftPostResponse, ApproveDraftPostRequest, ApproveDraftPostResponse, MarkPostAsInModerationRequest, MarkPostAsInModerationResponse, CreateDraftPostResponseNonNullableFields, BulkCreateDraftPostsResponseNonNullableFields, BulkUpdateDraftPostsResponseNonNullableFields, ListDeletedDraftPostsResponseNonNullableFields, GetDraftPostResponseNonNullableFields, UpdateDraftPostResponseNonNullableFields, BulkDeleteDraftPostsResponseNonNullableFields, ListDraftPostsResponseNonNullableFields, GetDeletedDraftPostResponseNonNullableFields, RestoreFromTrashBinResponseNonNullableFields, QueryDraftPostsResponseNonNullableFields, PublishDraftPostResponseNonNullableFields, BaseEventMetadata, EventMetadata, DraftCreatedEnvelope, DraftDeletedEnvelope, DraftUpdatedEnvelope, CreateDraftPostOptions, BulkCreateDraftPostsOptions, BulkUpdateDraftPostsOptions, ListDeletedDraftPostsOptions, GetDraftPostOptions, UpdateDraftPost, UpdateDraftPostOptions, DeleteDraftPostOptions, BulkDeleteDraftPostsOptions, ListDraftPostsOptions, QueryDraftPostsOptions, DraftPostsQueryResult, DraftPostsQueryBuilder, } from './blog-v3-draft-draft-posts.universal.js';
